classification
Title: slight ambiguity in README.txt instructions for building docs
Type: enhancement Stage: resolved
Components: Build, Documentation Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: MLModel, docs@python, ezio.melotti, georg.brandl, python-dev, terry.reedy, tracy.chang, zach.ware
Priority: normal Keywords: easy

Created on 2013-12-28 15:14 by MLModel, last changed 2014-03-10 18:32 by georg.brandl. This issue is now closed.

Messages (7)
msg207029 - (view) Author: Mitchell Model (MLModel) Date: 2013-12-28 15:14
I tried to build the docs for v3.4.0b1 following the instructions in the Doc/README.txt. My default python is v3.3. I got the following error message:
"Error: Sphinx needs to be executed with Python 2.4 or newer (not 3.0 though)."
I wondered what was weird about 3.0 as opposed to later versions that it wouldn't work. Fortunately I had run into other situations where tools expected Python 2 but wouldn't work with Python 3, so after a few minutes of head scratching I tried using Python 2, whi

Sphinx needs to be executed with Python 2 (v. 2.4 or newer), not Python 3

 so that it makes clear that it requires Python 2 not Python 3 and puts the grammatical emphasis where it belongs.

More importantly, perhaps, the Doc README should be changed to state that make must use Python 2.
msg213015 - (view) Author: Tracy Chang (tracy.chang) Date: 2014-03-10 07:32
Is this issue only to update the doc or need to update the Error message as well?  For error message, is it part of Sphinx?
msg213031 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-03-10 13:28
For 2.7 and 3.3, the error message just needs to be fixed (s/3.0/3.x/); it lives in the sphinx-build.py script somewhere in Doc/.  For default, though, since we now rely on an installed version of Sphinx rather than a checked out version, the whole version check needs to be removed and just let Sphinx deal with version checking on its own.
msg213032 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-03-10 13:38
Doc/README.txt will also probably need an update, at least on default.
msg213059 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-03-10 18:29
New changeset 0ae254c11921 by Georg Brandl in branch '2.7':
Closes #20090: update Doc/README and the error message in sphinx-build.py to make
http://hg.python.org/cpython/rev/0ae254c11921
msg213061 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-03-10 18:32
New changeset d975f50de5aa by Georg Brandl in branch '3.3':
Closes #20090: update Doc/README and the error message in sphinx-build.py to make
http://hg.python.org/cpython/rev/d975f50de5aa

New changeset 43820a4fcaba by Georg Brandl in branch 'default':
Closes #20090: update Doc/README.txt for the changes in the 3.4 branch.
http://hg.python.org/cpython/rev/43820a4fcaba
msg213062 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2014-03-10 18:32
I think this should be sufficient.
History
Date User Action Args
2014-03-10 18:32:34georg.brandlsetmessages: + msg213062
2014-03-10 18:32:08python-devsetmessages: + msg213061
2014-03-10 18:29:50python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg213059

resolution: fixed
stage: resolved
2014-03-10 13:38:35zach.waresetmessages: + msg213032
2014-03-10 13:28:09zach.waresetnosy: + zach.ware

messages: + msg213031
versions: + Python 2.7, Python 3.3
2014-03-10 07:32:22tracy.changsetnosy: + tracy.chang
messages: + msg213015
2014-02-15 15:20:15ezio.melottisetkeywords: + easy
nosy: + ezio.melotti
type: enhancement
2014-01-04 00:05:52terry.reedysetnosy: + terry.reedy
2013-12-29 07:54:33berker.peksagsetnosy: + georg.brandl
2013-12-28 15:14:34MLModelcreate